[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# EUpdateError

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Error raised when updating data during a post operation.

## Declaration

Source position: db.pas line 82

`type EUpdateError = class(EDatabaseError)`
`public`
`constructor Create();` |  | Create a new EUpdateError instance
`destructor Destroy; override;` |  | Free the EupdateError instance
`property Context: string; [r]` |  | Context in which exception occurred.
`property ErrorCode: Integer; [r]` |  | Numerical error code.
`property OriginalException: Exception; [r]` |  | Originally raised exception
`property PreviousError: Integer; [r]` |  | Previous error number
`end;`

## Inheritance

`EUpdateError` |  | Error raised when updating data during a post operation.
`EDatabaseError` |  | Base class for all database-related errors
`Exception`
`TObject`

## Description

EupdateError is an exception used by the TProvider database support. It should never be raised directly.

## See also

EDatabaseError |  | Base class for all database-related errors

Documentation generated on: Feb 26 2014